__gnu_cxx::_Slist_iterator(3)

NAME
__gnu_cxx::_Slist_iterator -

SYNOPSIS

Inherits _Slist_iterator_base.

Detailed Description

  template<class _Tp, class _Ref, class _Ptr> struct __gnu_cxx::_Slist_iterator< _Tp, _Ref, _Ptr >

Definition at line 184 of file slist.

  Public Types
typedef _Slist_node< _Tp > _Node
typedef _Slist_iterator< _Tp, _Ref, _Ptr > _Self
typedef _Slist_iterator< _Tp, const _Tp &, const _Tp * > const_iterator
typedef ptrdiff_t difference_type
typedef _Slist_iterator< _Tp, _Tp &, _Tp * > iterator
typedef std::forward_iterator_tag iterator_category
typedef _Ptr pointer
typedef _Ref reference
typedef size_t size_type
typedef _Tp value_type

  Public Member Functions
void _M_incr ()
_Slist_iterator (const iterator &__x)
_Slist_iterator ()
_Slist_iterator (_Node *__x)
reference operator * () const
bool operator!= (const _Slist_iterator_base &__x) const
_Self operator++ (int)
_Self & operator++ ()
pointer operator-> () const
bool operator== (const _Slist_iterator_base &__x) const

  Public Attributes
_Slist_node_base * _M_node

Author

Generated automatically by Doxygen for libstdc++ from the source code.